{% extends 'base.html' %}

{% block messages %}
{% if messages %}
{% for message in messages %}
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-8">
            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
            <div class="alert alert-danger" role="alert">
                {{message|safe}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% elif message.level == DEFAULT_MESSAGE_LEVELS.INFO %}
            <div class="alert alert-info" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% else %}
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% endif %}
        </div>
    </div>
</div>
{% endfor %}
{% endif %}
{% endblock %}

{% block body %}
<div class="container">
    <div class="row">
        <div class="col-12">
            <h4>¿Deseas contestar la encuesta de satisfacción?</h4>
            <form action="{% url 'encuesta' id_pedido=pedido.Id %}" method="post">
                {% csrf_token %}
                <input type="submit" value="Contestar encuesta" class="btn btn-success">
                <a href="{% url 'index' %}" class="btn btn-success">Volver</a>
            </form>
        </div>
    </div>
</div>
{% endblock %}